> ## Documentation Index
> Fetch the complete documentation index at: https://79cdaa32-9b19-4e9d-ab9d-a89800ef0f46.valox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Terms and Conditions

> Accept specific terms and conditions based on type and version.



## OpenAPI

````yaml specs/api/spec.json post /api/v1/user/terms
openapi: 3.0.0
info:
  title: ValoX API
  version: 1.0.0
  description: OpenAPI documentation for ValoX
servers:
  - url: https://api.valox.co
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/user/terms:
    post:
      tags:
        - User
      summary: Accept Terms and Conditions
      description: Accept specific terms and conditions based on type and version.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TermsBody'
      responses:
        '200':
          description: Terms accepted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
              example:
                ok: true
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              examples:
                invalidVersion:
                  value:
                    message: Invalid version for the selected terms type
                alreadyAccepted:
                  value:
                    message: You have already accepted these terms
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    TermsBody:
      type: object
      required:
        - terms
        - version
      properties:
        terms:
          type: string
          enum:
            - general-tos
            - card-monavate-tos
            - privacy-policy
          description: Type of terms and conditions
        version:
          type: string
          description: Version of the terms document
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````